config/routes.rb
Rails.application.routes.draw do

  resources :credit_sources
  resources :crop_types
  mount_devise_token_auth_for 'User', at: 'auth'
  get 'report/index'
  get 'report/topography'
  get 'report/smu'
  get 'report/category'
  get 'report/report_list'
  get 'report/farmer_count'
  get 'report/cultivation_cost'
  get 'report/live_stock'
  get 'report/main_yield'
  get 'report/marketing'
  get 'report/comments'
  get 'report/soil_status'
  get 'report/additional_invst_src'
  
  get 'farmers/count'
  get 'users/register'
  get 'users/signin'
  get 'users/template'
  get 'users/index'
  get 'users/actions'
  get 'users/user_roles_template'
  get 'users/user_roles'
  post 'users/create_user_role'
  post 'users/delete_user_role'
 

  post 'offline/sync'

  get "/application.appcache", to: "offline#manifest", :format => :appcache

  get 'roles/ractions'
  get 'roles/role_ractions_template'
  get 'roles/role_ractions'
  get 'roles/role'
  post 'roles/create_role_raction'
  post 'roles/delete_role_raction'

    resources :ractions
  resources :actions
  resources :roles

    root 'socio_demographic_infos#new'
  resources :basic_need_details
  resources :migration_consequences
  resources :labour_migration_details
  resources :migration_negative_consequences
  resources :migration_positive_consequences
  resources :migration_purposes
  resources :fertilizers
  resources :pc_wage_rates
  resources :pc_yield_prices
  resources :intercrop_lists
  resources :crop_lists
  resources :pc_other_expenses
  resources :pc_operation_details
  resources :survey_numbers
  resources :forestry_plants
  resources :horticulture_plants
  resources :livestock_names
  resources :credit_avail_purposes
  resources :suggestion_paramaters
  resources :food_materials
  resources :constraints
  resources :conversation_structures
  resources :particulars
  resources :purposes
  resources :income_sources
  resources :intercrops
  resources :crops
  resources :grampanchayats
  resources :hoblis
  resources :micro_water_sheds
  resources :sub_water_sheds
  resources :taluks
  resources :districts
  resources :castes
  resources :smus
  resources :topographies
  resources :farmers
  resources :horticulture_forestry_plants
  resources :production_costs
  resources :fertilizer_details
  resources :ppc_details
  resources :forestry_cultivations
  resources :forestry_species
  resources :cultivate_horticultures
  resources :plant_counts
  resources :subsidiary_costs
  resources :subsidiary_enterprises
  resources :private_credits
  resources :institutional_credits
  resources :borrowing_statuses
  resources :basic_needs
  resources :labour_availabilities
  resources :watershed_comments
  resources :improvement_suggestions
  resources :household_food_materials
  resources :farming_constraints
  resources :conversation_practices
  resources :watershed_awarenesses
  resources :marketings
  resources :additional_investment_capacities
  resources :family_annual_incomes
  resources :fodder_availabilities
  resources :cropping_intensities
  resources :cropping_paterns
  resources :irrigations
  resources :surveys

  resources :durable_assets
  resources :machines
  resources :livestocks
  resources :livestock_types
  resources :machine_types
  resources :asset_types
  resources :house_types
  resources :houses
  resources :housetypes
  resources :local_organisations
  resources :genders
  resources :occupations
  resources :scaffolds
  resources :educations
  resources :socio_demographic_infos
  resources :villages
  match "*path", to: "welcome#catch_404", via: :all

  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/models/education.rb
class Education < ApplicationRecord
	has_many :socio_demographic_infos
	
	include Reportable 
	
end

app/controllers/educations_controller.rb
class EducationsController < ApplicationController
  before_action :set_education, only: [:show, :edit, :update, :destroy]

  # GET /educations
  # GET /educations.json
  def index
    @educations = Education.all
    render layout: false
  end

  # GET /educations/1
  # GET /educations/1.json
  def show
  end

  # GET /educations/new
  def new
    @education = Education.new
  end

  # GET /educations/1/edit
  def edit
  end

  # POST /educations
  # POST /educations.json
  def create
    @education = Education.new(education_params)

    respond_to do |format|
      if @education.save
        format.html { redirect_to @education, notice: 'Education was successfully created.' }
        format.json { render :show, status: :created, location: @education }
      else
        format.html { render :new }
        format.json { render json: @education.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /educations/1
  # PATCH/PUT /educations/1.json
  def update
    respond_to do |format|
      if @education.update(education_params)
        format.html { redirect_to @education, notice: 'Education was successfully updated.' }
        format.json { render :show, status: :ok, location: @education }
      else
        format.html { render :edit }
        format.json { render json: @education.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /educations/1
  # DELETE /educations/1.json
  def destroy
    @education.destroy
    respond_to do |format|
      format.html { redirect_to educations_url, notice: 'Education was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_education
      @education = Education.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def education_params
      params.require(:education).permit(:name, :is_active)
    end
end

app/helpers/educations_helper.rb
module EducationsHelper
end

app/views/educations/_form.html.haml
= form_for @education do |f|
  - if @education.errors.any?
    #error_explanation
      %h2= "#{pluralize(@education.errors.count, "error")} prohibited this education from being saved:"
      %ul
        - @education.errors.full_messages.each do |msg|
          %li= msg

  .field
    = f.label :name
    = f.text_field :name
  .field
    = f.label :is_active
    = f.check_box :is_active
  .actions
    = f.submit 'Save'

app/views/educations/edit.html.haml
%h1 Editing education

= render 'form'

= link_to 'Show', @education
\|
= link_to 'Back', educations_path

app/views/educations/index.html.haml
.panel.panel-default{"ng-controller" => "EducationCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Educations
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th{:style => "text-align:center;"} Name
            %th{:style => "text-align:center;"} Is active
            %th{:style => "text-align:center;"} 
            %th{:style => "text-align:center;"} 
     
        %tbody
          %tr{ "ng-repeat" => "education in data_list "}
            %td{:style => "text-align:center;"} {{ education.name }}
            %td{:style => "text-align:center;"} {{ boolToStr(education.is_active)}}
            %td
              %a{ "ng-click" => "edit(education.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(education.id, education.url);" }     
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr            
            %td
              = text_field_tag :name,'', :class => "form-control", "ng-model" => "vm.name"
            %td
              %select{"ng-model" => "vm.is_active", "ng-options" => "boolToStr(item) for item in [true, false]",:class => "form-control"}
                %option{:value=>'', :selected => 'selected'} Select
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel

app/views/educations/new.html.haml
%h1 New education

= render 'form'

= link_to 'Back', educations_path

app/views/educations/show.html.haml
%p#notice= notice

%p
  %b Name:
  = @education.name
%p
  %b Is active:
  = @education.is_active

= link_to 'Edit', edit_education_path(@education)
\|
= link_to 'Back', educations_path